Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 14 Jun 2021 10:23:07 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have a problem with my order till now I didn't get it and always receive a call late time which iam always telling the delivery guy iam availabe from 10 am to 4 pm at my mentioned address . 

Also iam travelling by 16 June so it seems I will not be able to get my order before that.  

Really bad service and not recommended again to deal with such group https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2705180